package com.sunxung.factoring.entity.ledger;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.customerinformation.SupplierBankCardInfo;

import java.util.List;

/**
 * @Description : 供应商与银行账户关联关系表
 * @Author : L.Jia
 * @Date: 2022-03-31 16:22
 */
@TableName("ledger_supplier_bank_ref")
public class LedgerSupplierBankRef extends BaseEntity {

    @TableField("ledger_account_basic_info_id")
    private Long ledgerAccountBasicInfoId;

    @TableField("supplier_bank_card_info_id")
    private Long supplierBankCardInfoId;

    @TableField(exist = false)
    private List<Long> supplierIdList;

    @TableField(exist = false)
    private SupplierBankCardInfo supplierBankCardInfo;

    public Long getLedgerAccountBasicInfoId() {
        return ledgerAccountBasicInfoId;
    }

    public void setLedgerAccountBasicInfoId(Long ledgerAccountBasicInfoId) {
        this.ledgerAccountBasicInfoId = ledgerAccountBasicInfoId;
    }

    public Long getSupplierBankCardInfoId() {
        return supplierBankCardInfoId;
    }

    public void setSupplierBankCardInfoId(Long supplierBankCardInfoId) {
        this.supplierBankCardInfoId = supplierBankCardInfoId;
    }

    public List<Long> getSupplierIdList() {
        return supplierIdList;
    }

    public void setSupplierIdList(List<Long> supplierIdList) {
        this.supplierIdList = supplierIdList;
    }

    public SupplierBankCardInfo getSupplierBankCardInfo() {
        return supplierBankCardInfo;
    }

    public void setSupplierBankCardInfo(SupplierBankCardInfo supplierBankCardInfo) {
        this.supplierBankCardInfo = supplierBankCardInfo;
    }
}
